Loading...
Searching...
No Matches
BALL::EvolutionaryDocking Class Reference

`#include <BALL/DOCKING/GENETICDOCK/evolutionaryDocking.h>`

Inheritance diagram for BALL::EvolutionaryDocking:

## Classes

struct | Option
struct | Default

## Public Member Functions

| EvolutionaryDocking (System &system1, System &system2, Options &new_options)
| EvolutionaryDocking (System &receptor, System &ligand, string config_file)
| ~EvolutionaryDocking ()
virtual void | setup (System &ligand, BALL::ScoringFunction *sf, Options &new_options)
virtual void | setup (System &ligand, BALL::ScoringFunction *sf)
void | setup (System &receptor, System &ligand, Options &new_options)
void | start ()
double | dockLigand (AtomContainer &ligand, bool verbose=0)
float | getProgress () const
bool | redraw ()
Vector3 & | getReferenceLigandCenter ()
Public Member Functions inherited from BALL::DockingAlgorithm
| DockingAlgorithm ()
| DockingAlgorithm (System &receptor, System &ligand, Options &new_options)
| DockingAlgorithm (System &receptor, System &ligand)
virtual | ~DockingAlgorithm ()
virtual void | setup (System &receptor, System &ligand)
ScoringFunction * | getScoringFunction ()
void | setScoringFunction (ScoringFunction *scoring)
void | processMultiMoleculeFile (string input_filename, string output_filename, double score_cutoff, vector< double > *min_atoms_in_ref_areas=0, String toolinfo="", String timestamp="")
void | setLigand (AtomContainer *ligand)
const AtomContainer * | getLigand ()
const AtomContainer * | getReferenceLigand ()
const String & | getName ()
virtual void | pause ()
virtual void | proceed ()
virtual void | abort ()
virtual void | finish ()
virtual void | reset ()
virtual bool | hasFinished () const
virtual bool | wasAborted () const
virtual bool | wasPaused () const
virtual ConformationSet | getConformationSet (Index total_conformations=0)
double | calculateRMSD (const AtomContainer &S1, const AtomContainer &S2, int *no_matched_atoms=NULL)
const AtomContainer * | getVisualizationPose ()
void | setVisualizationPose (const double &score)
double | getVisualizationPoseScore ()
DISPLAYMODE | getDisplayMode ()
void | setDisplayMode (DISPLAYMODE display_mode)
void | setMaxFps (int no)

## Static Public Member Functions

static void | getDefaultOptions (Options &options)
Static Public Member Functions inherited from BALL::DockingAlgorithm
static void | readOptionFile (String filename, Options &output_options, list< Constraint * > &output_constraints, const AtomContainer *ref_ligand=0)
static void | writeOptionFile (String filename, Options &input_options, list< Constraint * > &input_constraints)
static Matrix4x4 | mapCompounds (const AtomContainer &S1, const AtomContainer &S2, Size &no_matched_heavy_atoms, double &rmsd, double upper_bound, double lower_bound, double tolerance)

## Protected Member Functions

void | destroy_ ()
void | applyBestConformation ()
Protected Member Functions inherited from BALL::DockingAlgorithm
void | mapLigandOntoReferenceLigand ()

## Protected Attributes

GeneticAlgorithm * | ga_
DockProblem * | dp_
Vector3 | reference_center_
Protected Attributes inherited from BALL::DockingAlgorithm
System * | system1_
System * | system2_
bool | pause_
bool | abort_
bool | finished_
AtomContainer * | reference_ligand_
String | name_
AtomContainer * | receptor_
AtomContainer * | ligand_
ScoringFunction * | scoring_function_
String | parameter_filename_
String | scoring_type_
DISPLAYMODE | display_mode_
AtomContainer | visualization_pose_
double | visualization_pose_score_
double | min_sec_between_visualizations_
Timer | visualization_timer_

## Additional Inherited Members

Public Types inherited from BALL::DockingAlgorithm
enum | DISPLAYMODE { NO_DISPLAY = 0 , BEST_INTERMEDIATE_POSES = 1 , ALL_INTERMEDIATE_POSES = 2 , NO_INTERMEDIATE_POSES = 3 }
Public Attributes inherited from BALL::DockingAlgorithm
Options | options
bool | new_pose_to_be_visualized
Static Public Attributes inherited from BALL::DockingAlgorithm
static const String | OPTION_FILE_PARAMETER_NAME
Static Protected Member Functions inherited from BALL::DockingAlgorithm
static void | writeSubcategories_ (Options &category, std::ostream &out)

## Detailed Description

class EvolutionaryDocking This class is derived from class DockingAlgorithm. small ligand docking algorithm via a genetic Algorithm.

Definition at line 34 of file evolutionaryDocking.h.

## Constructor & Destructor Documentation

## EvolutionaryDocking() [1/2]

BALL::EvolutionaryDocking::EvolutionaryDocking | ( | System & | system1,
|  | System & | system2,
|  | Options & | new_options )

## EvolutionaryDocking() [2/2]

BALL::EvolutionaryDocking::EvolutionaryDocking | ( | System & | receptor,
|  | System & | ligand,
|  | string | config_file )

## ~EvolutionaryDocking()

BALL::EvolutionaryDocking::~EvolutionaryDocking | ( |  | ) |

destructor

## Member Function Documentation

## applyBestConformation()

void BALL::EvolutionaryDocking::applyBestConformation | ( |  | ) |

protected

## destroy_()

void BALL::EvolutionaryDocking::destroy_ | ( |  | ) |

protected

Free all allocated memory and destroys the options and results

## dockLigand()

double BALL::EvolutionaryDocking::dockLigand | ( | AtomContainer & | ligand,
|  | bool | verbose = 0 )

virtual

docks the given ligand and returns the score for the best conformation

Reimplemented from BALL::DockingAlgorithm.

## getDefaultOptions()

void BALL::EvolutionaryDocking::getDefaultOptions | ( | Options & | options | ) |

static

return ranked conformations. stores the default options of this algorithms in the given Option object

## getProgress()

float BALL::EvolutionaryDocking::getProgress | ( |  | ) | const

virtual

return the overall docking progress as a percentage

Reimplemented from BALL::DockingAlgorithm.

## getReferenceLigandCenter()

Vector3 & BALL::EvolutionaryDocking::getReferenceLigandCenter | ( |  | ) |

## redraw()

bool BALL::EvolutionaryDocking::redraw | ( |  | ) |

true if new ligand position has to be drawn

## setup() [1/3]

virtual void BALL::EvolutionaryDocking::setup | ( | System & | ligand,
|  | BALL::ScoringFunction * | sf )

virtual

## setup() [2/3]

virtual void BALL::EvolutionaryDocking::setup | ( | System & | ligand,
|  | BALL::ScoringFunction * | sf,
|  | Options & | new_options )

virtual

The setup routines.

## setup() [3/3]

void BALL::EvolutionaryDocking::setup | ( | System & | receptor,
|  | System & | ligand,
|  | Options & | new_options )

virtual

Operations Full setup. Assigns systems 1 and two and the options for this DockingAlgorithm.

Reimplemented from BALL::DockingAlgorithm.

## start()

void BALL::EvolutionaryDocking::start | ( |  | ) |

virtual

Start the main loop of the algorithm.

Reimplemented from BALL::DockingAlgorithm.

## Member Data Documentation

## dp_

DockProblem* BALL::EvolutionaryDocking::dp_

protected

mapping class for docking

Definition at line 129 of file evolutionaryDocking.h.

## ga_

GeneticAlgorithm* BALL::EvolutionaryDocking::ga_

protected

optimization method

Definition at line 125 of file evolutionaryDocking.h.

## reference_center_

Vector3 BALL::EvolutionaryDocking::reference_center_

protected

the geometrical center of the reference ligand

Definition at line 132 of file evolutionaryDocking.h.